### Signal

# Gtk Window::enable-debugging

since: 4.0

#### Declaration

    gboolean
    enable_debugging (
      GtkWindow* self,
      gboolean toggle,
      gpointer user_data
    )

#### Description [src]

Emitted when the user enables or disables interactive debugging.

When `toggle` is `TRUE`, interactive debugging is toggled on or off, when it is `FALSE`, the debugger will be pointed at the widget under the pointer.

This is a keybinding signal.

The default bindings for this signal are Ctrl-Shift-I and Ctrl-Shift-D.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 4.0

#### Parameters

`toggle`

  Type: `gboolean`

  Toggle the debugger.

#### Return value

Type: `gboolean`

`TRUE` if the key binding was handled.